Last Comment Bug 770133 - duplicated DOM IDs dummycontenttoolbox and dummycontenttoolbar in specialTabs.xul
: duplicated DOM IDs dummycontenttoolbox and dummycontenttoolbar in specialTabs...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Toolbars and Tabs (show other bugs)
: 15 Branch
: x86 Windows XP
: -- normal (vote)
: Thunderbird 16.0
Assigned To: teramako
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 05:02 PDT by teramako
Modified: 2012-07-05 18:43 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
DOM Inspector: when open a tab as contentTab type, same ids are created (19.49 KB, image/png)
2012-07-02 05:02 PDT, teramako
no flags Details
patch 1 (1.93 KB, patch)
2012-07-02 05:41 PDT, teramako
mconley: review+
Details | Diff | Review

Description teramako 2012-07-02 05:02:00 PDT
Created attachment 638312 [details]
DOM Inspector: when open a tab as contentTab type, same ids are created

User Agent: Mozilla/5.0 (Windows NT 5.1; rv:13.0) Gecko/20100101 Firefox/13.0.1
Build ID: 20120614114901

Steps to reproduce:

in specialTabs.xul, same DOM IDs are exist.

http://mxr.mozilla.org/comm-central/source/mail/base/content/specialTabs.xul#21
http://mxr.mozilla.org/comm-central/source/mail/base/content/specialTabs.xul#36

- dummycontenttoolbox
- dummycontenttoolbar

And when open a tab as contentTab or chromeTab type, duplicated element's ids are created with cloneNode.




Expected results:

To be fixed,
 1. )change to dummychrometoolbox and dummychrometoolbar from dummycontenttoolbox and dummycontenttoolbar in chromeTab id's element.

 2.) change ids after cloneNode on "openTab" method each of chromeTab and contentTab.
Comment 1 teramako 2012-07-02 05:41:34 PDT
Created attachment 638322 [details] [diff] [review]
patch 1
Comment 2 Ludovic Hirlimann [:Usul] 2012-07-04 02:13:13 PDT
Comment on attachment 638322 [details] [diff] [review]
patch 1

Thank you very much for the patch. In order to get things in, you'll need to set the review request to someone. Just doing this for you now.
Comment 3 Mike Conley (:mconley) - (Needinfo me!) 2012-07-05 07:32:31 PDT
Comment on attachment 638322 [details] [diff] [review]
patch 1

Review of attachment 638322 [details] [diff] [review]:
-----------------------------------------------------------------

Awesome - thanks for the patch!
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-07-05 18:43:36 PDT
https://hg.mozilla.org/comm-central/rev/6446a293fb93

Note You need to log in before you can comment on or make changes to this bug.